cURL
curl --request GET \
--url https://api.cloud.pepperpay.com.br/public/v1/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.pepperpay.com.br/public/v1/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.pepperpay.com.br/public/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"hash": "abc123def",
"title": "Curso de Marketing Digital",
"description": "Um curso completo sobre marketing digital",
"cover": "https://example.com/products/marketing-digital.jpg",
"id_category": 2,
"product_type": "digital",
"guaranted_days": "7",
"sale_page": "https://exemplo.com.br",
"offers": [
{
"hash": "off123",
"title": null,
"price": 9900,
"url": "https://go.pepper.com.br/off123",
"status": 1,
"interval": "monthly",
"created_at": "2024-08-22 10:45:27",
"updated_at": "2024-08-22 10:45:27"
}
],
"status": 1,
"support_name": "Suporte",
"support_email": "suporte@exemplo.com",
"support_whatsapp": null
},
{
"hash": "xyz789ghi",
"title": "E-book de Vendas",
"description": "Estratégias avançadas de vendas",
"cover": "https://example.com/products/ebook-vendas.jpg",
"id_category": 1,
"product_type": "digital",
"guaranted_days": "7",
"sale_page": "https://vendas.exemplo.com.br",
"offers": [
{
"hash": "off456",
"title": null,
"price": 500,
"url": "https://go.pepper.com.br/off456",
"status": 1,
"interval": null,
"created_at": "2024-07-31 15:40:43",
"updated_at": "2024-07-31 15:40:43"
}
],
"status": 1,
"support_name": "Time de Vendas",
"support_email": "vendas@exemplo.com",
"support_whatsapp": null
}
],
"links": {
"first": "https://api.cloud.pepperpay.com.br/public/v1/products?page=1",
"last": "https://api.cloud.pepperpay.com.br/public/v1/products?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "pagination.previous",
"active": false
},
{
"url": "https://api.cloud.pepperpay.com.br/public/v1/products?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "pagination.next",
"active": false
}
],
"path": "https://api.cloud.pepperpay.com.br/public/v1/products",
"per_page": 50,
"to": 2,
"total": 2
}
}Produtos
Listar produtos
Listar todos os produtos da sua conta.
GET
/
products
cURL
Esta rota permite listar todos os produtos da sua conta com opções de filtro e paginação.
Autorizações
Use o token da Pepper API no formato: Bearer {seu_token_aqui}
Parâmetros de consulta
Pesquisar produtos por nome ou hash
Filtre por categorias. Para pesquisar por mais de uma categoria, envie-as separadas por vírgula – Exemplo: ['1', '2', '3']
Filtre pelo status do produto. Valores: 1: Ativo, 2: Inativo, 3: Em revisão, 4: Bloqueado
Quantidade de produtos por página. Padrão: 30
Número da página. Padrão: 1
⌘I